Class | Ramaze::Bin::Stop
In: | lib/ramaze/bin/stop.rb
Parent: | Object

Stops a running instance of Ramaze by killing it‘s process. The PID of this process can be supplied via the command line. If no PID is given this command tries to find it in the current directory. If the latter is the case this command tries to find a file of which the name matches the name of the current directory.

Usage:

       ramaze stop
       ramaze stop /home/foobar/projects/ramaze/ramaze.pid

@author Yorick Peterse @author TJ Vanderpoel @since 21-07-2011

### Methods

new run

### Included Modules

Ramaze::Bin::Helper

### Constants

Description | = | 'Stops a running instance of Ramaze' |  | The description of this command, shown when the global help menu is displayed.
Banner | = | <<-TXT.strip Stops a running instance of Ramaze by killing it's process using a PID. If no PID is given this command tries to look for it in the current directory. Usage: ramaze stop [PID] [OPTIONS] Example: ramaze stop /home/foobar/projects/ramaze/ramaze.pid TXT .strip |  | The banner of this command.

### Public Class methods

new()

Creates a new instance of the command and sets all the OptionParser options.

@author Yorick Peterse @since 21-07-2011

### Public Instance methods

run(argv = [])

Runs the command based on the specified command line arguments.

@author Yorick Peterse @author TJ Vanderpoel @since 21-07-2011 @param [Array] argv Array containing all the command line arguments.

[Validate]